module.exports = function () {
	const argv = require('node-args');
	const fs = require('fs-extra');
	const port = argv.p || 3001;
	return {
			quiet: argv.m ? true : false,
			historyApiFallback: true,
			compress: true,
			stats: { colors: true },
			hot: true,
			contentBase: process.cwd() ,
			publicPath: '/dest/dev/',
			headers: { 'Access-Control-Allow-Origin': '*//onlyqing.cn' },
			proxy: {
				"/pages/welcome": {
					target: `http://localhost:${port}`,
					bypass: function(req, res, proxyOptions) {
						if (req.headers.accept.indexOf("html") !== -1 && req.method.toLowerCase() === 'get') {
							const pagePath = __dirname;
							const page = fs.readFileSync(`${pagePath}/main.html`,'utf-8');
							const url = req.url.replace(/(\/pages\/)/gi , '').match(/\w+/)[0];
							const retData = page.replace(/src="[^"]+/,`src="http://127.0.0.1:${port}/dest/dev/${url}/main.js`);
								  fs.writeFileSync(`${process.cwd()}/main.html`,retData,'utf-8');
							return '/main.html';
						}
					}
				}
			}
		}
}